org.apache.lucene.codecs.bloom

## Class HashFunction

- java.lang.Object
- - org.apache.lucene.codecs.bloom.HashFunction

- Direct Known Subclasses:
    MurmurHash2

      public abstract class HashFunction
      extends Object

  Base class for hashing functions that can be referred to by name. Subclasses are expected to provide threadsafe implementations of the hash function on the range of bytes referenced in the provided `BytesRef`
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HashFunction()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract int` | `hash(BytesRef bytes)` Hashes the contents of the referenced bytes

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HashFunction

          public HashFunction()

  - ### Method Detail

    - #### hash

          public abstract int hash(BytesRef bytes)

      Hashes the contents of the referenced bytes
      Parameters:
        `bytes` - the data to be hashed
      Returns:
        the hash of the bytes referenced by bytes.offset and length bytes.length

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.